Bug Hunting Session
Bug 87447 - Master document combining all document types
Summary: Master document combining all document types
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-18 14:10 UTC by williefloyd
Modified: 2016-07-29 10:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Master document UI example (14.93 KB, image/png)
2014-12-18 14:10 UTC, williefloyd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description williefloyd 2014-12-18 14:10:45 UTC
Created attachment 110988 [details]
Master document UI example

Hi, how difficult would be to implement such a feature?

Ideally, I would like to have a master document where I could open and directly edit any file created within any Libre Office application, including master Writer documents (for chapter organising), in tabs. Something like the attached image.

This would be so much helpful for building a project with different document types, page sizes/orientation, etc. For example, if I want to create a story draft, I can write the novel or screenplay with Writer, create profiles for the characters and items with Calc, design the storyboard with Impress, the mind maps with Draw, and manage them all at once on a single window with tabs.

As a second note, another useful for screenplays suggestion would be to include automatic text addition in the formatting styles, such as parenthesis,  for any selection. Example: When I apply the style in "this is a text", it becomes "(this is a text)".

Regards and thanks for your time.
Comment 1 Cor Nouws 2014-12-18 15:19:05 UTC
Comment on attachment 110988 [details]
Master document UI example

corrected mime type
Comment 2 Robinson Tryon (qubit) 2014-12-22 03:20:47 UTC
UX: One for you
Comment 3 Heiko Tietze 2016-07-22 11:55:57 UTC
The 'master document' is (IMHO 'was' because new hardware makes it obsolete) a technique to manage large files [1]. But we have the start center to collect different documents. And you can easily insert OLE objects, e.g. drawing from Draw or spreadsheet from Calc into a Writer document. 

I'd say it works as expected. 

[1] https://help.libreoffice.org/Writer/Working_with_Master_Documents_and_Subdocuments
Comment 4 Cor Nouws 2016-07-29 10:50:44 UTC
(In reply to Heiko Tietze from comment #3)
> The 'master document' is (IMHO 'was' because new hardware makes it obsolete)
> a technique to manage large files [1].

Master documents are still used, e.g. for groups maintaining large documents with different people working on different sections.

The bug report makes me think of a concept (that I heard another probably no longer existing program used) that one single file combines all the module types.
It is so much different from the current concept, that I think Wontfix is fair to state.